<?php
session_start();
header( 'Content-type: text/html; charset=windows-1251' );
error_reporting( 1 );
require($_SERVER['DOCUMENT_ROOT']."/sfb.php");

$id_user = (isset($_SESSION["iduser"]) && preg_match("|^[\d]{1,11}$|", trim($_SESSION["iduser"]))) ? intval(trim($_SESSION["iduser"])) : false;

if(!isset($_SESSION['iduser'])) { exit(); }
if(!isset($_POST['func'])) { exit(); }
if( $_SERVER['HTTP_X_REQUESTED_WITH'] != 'XMLHttpRequest' ) { exit(); }

// купить реферала
if($_POST['func'] == "buy_ref") {
$id = valideint($_POST["id"]);
$sql = mysql_query("SELECT count(id) FROM `b_users` WHERE `id` IN(SELECT `rid` FROM `b_jarmarka` WHERE `rid`='$id' AND `bron`='0')");
if(mysql_num_rows($sql) == 0){
echo "$infstart Пользователь забронирован или удалён.$infend";exit();
}else{
$referer = mysql_result(mysql_query("SELECT `id` FROM `b_users` WHERE `referer`='$id_user'"),0);
if($referer == $id){
echo "$infstart Вы не можете покупать своего реферала.$infend";exit();
}else{
$price = mysql_result(mysql_query("SELECT `price` FROM `b_jarmarka` WHERE `rid`='$id'"),0);
mysql_query("INSERT INTO `b_basket` (`ident`, `price`, `fromid`, `time`, `type`) VALUES ('$id', '$price', '".$id_user."', '".time()."','4')") or die(mysql_error());
mysql_query("UPDATE `b_jarmarka` SET `bron`='1' WHERE `id`='$id'");
echo "1";exit();
}
}
}

// снять реферала реферала с продажи
if($_POST['func'] == "dell_ref") {
$ident = valideint($_POST["id"]);
mysql_query("DELETE FROM `b_jarmarka` WHERE `rid`='$ident' AND `trid`='$id_user'");
echo "1";exit();
}
?>